<?php
//02-04-2026 Errores de caché y páginas cortadas a mitad. VCDL
ob_start();
$isIIS = ( isset($_SERVER['SERVER_SOFTWARE']) && strpos($_SERVER['SERVER_SOFTWARE'], 'Microsoft-IIS')!==false );
if(!$isIIS) opcache_reset();
session_start();

require_once('../config.php');
require_once($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$traza=(isset($_GET['traza']) && $_GET['traza']=='si');

$peticion='SGAOrdenesPendientesPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['almacen'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($traza) {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
	
}



//26-08-2024
$Controlcaducadosycortosdefecha=(isset($_SESSION['parametrosSGA']['Controlcaducadosycortosdefecha']) && $_SESSION['parametrosSGA']['Controlcaducadosycortosdefecha']=='S');

//22-1-2021 para ocultar las columnas de regimen
$verRegimen=(isset($_SESSION['gestionDepositos']) && $_SESSION['gestionDepositos']=='S');

//24-05-2022 Mutioperario
$gestionMultiOperario=(isset($_SESSION['parametrosSGA']['GestionMultioperario']) && $_SESSION['parametrosSGA']['GestionMultioperario']=='S');

//20-09-2022 Cargas rapidas
$gestionCargaRapida=(isset($_SESSION['parametrosSGA']['GestionCargasDirectas']) && $_SESSION['parametrosSGA']['GestionCargasDirectas']=='S');

if($traza) {
	echo "<p>ocultarDestinoMuelle: ".$ocultarDestinoMuelle."</p>";
	echo "<p>GestionPicking: ".$_SESSION['parametrosSGA']['GestionPicking']."</p>";
}

//09-02-2024 ocultarDestinoMuelle puede estar definido a nivel de config, sino se oculta si no tiene gestion de picking S o SP - TAREA INTERNA 38579
if(!isset($ocultarDestinoMuelle)) $ocultarDestinoMuelle=( $_SESSION['parametrosSGA']['GestionPicking']!='S' && $_SESSION['parametrosSGA']['GestionPicking']!='SP' );

//09-02-2024 mostrar columna Matricula
$mostrarMatricula=($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI');

//12-06-2023 añado conservacion por session de los filtros de dentro de la OP
//entonces aqui los reiniciamos
unset($_SESSION['filtrosOPOrden']);

$comboTipoOrden=array();
$comboOleadas=array();
$comboEstados=array();
$comboClientes=array();
$comboFechasCarga=array();
$comboClientesExport=array();
$comboClientesNacional=array();
$comboZonasCarga=array();
$comboRefCliente=array();
$comboFamilias=array();

$comboRefDestino=array();
	
foreach($resultado as $item) {

	if(isset($item['TipoOrdenDescripcion']) && !in_array($item['TipoOrdenDescripcion'],$comboTipoOrden) && $item['TipoOrdenDescripcion']!='') $comboTipoOrden[]=$item['TipoOrdenDescripcion'];
	if(isset($item['PickingOleada']) && !in_array($item['PickingOleada'],$comboOleadas) && $item['PickingOleada']!='') $comboOleadas[]=$item['PickingOleada'];
	if(isset($item['Estado']) && !in_array($item['Estado'],$comboEstados) && $item['Estado']!='') $comboEstados[]=$item['Estado'];
	if(isset($item['NombreCliente']) && !in_array($item['NombreCliente'],$comboClientes) && $item['NombreCliente']!='') $comboClientes[]=$item['NombreCliente'];
	if(isset($item['FechaCarga']) && !in_array($item['FechaCarga'],$comboFechasCarga) && $item['FechaCarga']!='') $comboFechasCarga[]=$item['FechaCarga'];
	
	//29-09-2023 esto no sabemos qué significa, la longitud el codigo del cliente 6 = export??? será algo especial de acrylicos??
	/*
	if( strlen($item['Cliente'])==6 ) {
		if(!in_array($item['NombreCliente'],$comboClientesExport) && $item['NombreCliente']!='') $comboClientesExport[]=$item['NombreCliente'];
	}
	else {
		if(!in_array($item['NombreCliente'],$comboClientesNacional) && $item['NombreCliente']!='') $comboClientesNacional[]=$item['NombreCliente'];
	}
	*/
	
	//29-09-2023 añadimos el pais cliente al listado para poder hacer los combos en funcion del pais de la ficha del cliente final
	if( isset($item['PaisCliente']) && $item['PaisCliente']=='ES' ) {
		if(isset($item['NombreCliente']) && !in_array($item['NombreCliente'],$comboClientesNacional) && $item['NombreCliente']!='') $comboClientesNacional[]=$item['NombreCliente'];
	}
	else {
		if(isset($item['NombreCliente']) && !in_array($item['NombreCliente'],$comboClientesExport) && $item['NombreCliente']!='') $comboClientesExport[]=$item['NombreCliente'];
	}
	
	if(isset($item['ZonaCargaCamion']) && !in_array($item['ZonaCargaCamion'],$comboFechasCarga) && $item['ZonaCargaCamion']!='') $comboZonasCarga[]=$item['ZonaCargaCamion'];
	if(isset($item['ReferenciaClientePedidoLog']) && !in_array($item['ReferenciaClientePedidoLog'],$comboRefCliente) && $item['ReferenciaClientePedidoLog']!='') $comboRefCliente[]=$item['ReferenciaClientePedidoLog'];
	
	if(isset($item['RefDestino']) && !in_array($item['RefDestino'],$comboRefDestino) && $item['RefDestino']!='') $comboRefDestino[]=$item['RefDestino'];
	
	if(isset($item['FamiliaPreparacion']) && !in_array($item['FamiliaPreparacion'],$comboFamilias) && $item['FamiliaPreparacion']!='') $comboFamilias[]=$item['FamiliaPreparacion'];
	
		
}

asort($comboTipoOrden);
asort($comboOleadas);
asort($comboClientes);
asort($comboClientesExport);
asort($comboClientesNacional);
asort($comboZonasCarga);
asort($comboRefCliente);

asort($comboRefDestino);

?>
<script>

var comboTipoOrden=Array(<?php foreach($comboTipoOrden as $item) { ?>'<?php echo addslashes($item); ?>',<?php } ?>);
var comboOleadas=Array(<?php foreach($comboOleadas as $item) { ?>'<?php echo addslashes($item); ?>',<?php } ?>);
var comboClientes=Array(<?php foreach($comboClientes as $item) { ?>'<?php echo addslashes($item); ?>',<?php } ?>);
var comboClientesExport=Array(<?php foreach($comboClientesExport as $item) { ?>'<?php echo addslashes($item); ?>',<?php } ?>);
var comboClientesNacional=Array(<?php foreach($comboClientesNacional as $item) { ?>'<?php echo addslashes ($item); ?>',<?php } ?>);
var comboZonasCarga=Array(<?php foreach($comboZonasCarga as $item) { ?>'<?php echo addslashes ($item); ?>',<?php } ?>);
var comboRefCliente=Array(<?php foreach($comboRefCliente as $item) { ?>'<?php echo addslashes ($item); ?>',<?php } ?>);

var comboRefDestino=Array(<?php foreach($comboRefDestino as $item) { ?>'<?php echo addslashes ($item); ?>',<?php } ?>);

</script>
<?php

if( !isset($resultado[0]['Error']) && count($resultado[0])>0 ) {

	?>
    
     <p class="sinMargen">Nº Orden:<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
            <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoNumOrden" /><input name="numOrden" type="text" class="campo campoOrdenPreparacion" id="numOrden" maxlength="14" style="left:5px;"/>
            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarNumOrden" style="position:absolute;right:5px;cursor:pointer;"/>
        </div>
    </p>
    
    <p class="mini" style="margin-bottom:20px">Número de órdenes: <?php echo count($resultado); ?></p>
    
    <div id="popupDuplicados" class="popup" style="display:none"></div>
	<div id="popupDuplicadosContenido" class="popupContenidoScroll" style="display:none"></div>
    
    <div id="popupRefCliente" class="popupScroll" style="display:none;">
        <div id="popupRefClienteContenido" class="popupContenidoScroll" style="display:none;">
        	<p>Oleada por pedido Nº <span id="refClienteNumPreparacion"></span></p>
          <table id="tablaRefCliente" class="tablaFormateada" style="margin-top:20px">
            <thead>
                <tr><th>Preparación</th><th>Referencia cliente</th></tr>
            </thead>
            <tbody></tbody>
          </table>
          <p><input type="button" name="popupRefClienteCerrar" id="popupRefClienteCerrar" value="Cerrar" class="boton reducido"/></p>
        </div>
	</div>
    
	<table class="tablaFormateada anchoMaximo" style="font-size:0.9em">
	<tr style="white-space:nowrap">
		<?php if(count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
		<?php if($_SESSION['gestion']!='PUB') { ?><th>Familia</th><?php } ?>
		<th>Nº Orden</th>
		<th>Tipo</th>
        
        <?php if($_SESSION['parametrosSGA']['GestionOleadas']=='S') { ?>
        <th>Oleada</th>
        <th>Estado oleada</th>
		<?php } ?>
        
        <?php if(!$ocultarDestinoMuelle) { ?>
        <th>Destino</th>
		<?php } ?>
        <th>Fecha</th>
        <?php if($verRegimen) { ?>
		<th>Rég. Orig.</th>
		<th>Rég. Dest.</th>
        <?php } ?>
        
        <?php if(!isset($_SESSION['parametrosSGA']['ListadoOrdenesPreparacionOcultarCliente']) || (isset($_SESSION['parametrosSGA']['ListadoOrdenesPreparacionOcultarCliente']) && $_SESSION['parametrosSGA']['ListadoOrdenesPreparacionOcultarCliente']!='S')) { ?>
		<th>Cliente</th>
        <?php } ?>
        
        <?php if(isset($_SESSION['parametrosSGA']['MostrarNombreClienteFinal']) && $_SESSION['parametrosSGA']['MostrarNombreClienteFinal']=='S') { ?>
        <th>Cliente final</th>
        <?php } ?>
        
        <th>Ref. Cliente</th>
        
        <?php if( (isset($_SESSION['SGAEspecialAcrylicos']) && $_SESSION['SGAEspecialAcrylicos']=='S') || (isset($_SESSION['parametrosSGA']['GestionProvisionistas']) && $_SESSION['parametrosSGA']['GestionProvisionistas']=='S') || (isset($mostrarRefDestino) && $mostrarRefDestino) ) { ?>
		<th>Ref. Destino</th>
        <?php } ?>
        
        <?php if($mostrarAgenciaTransporte) { ?><th>Agencia Transporte</th><?php } //ATENCION esto está en el config, no en parámetros ?>
        
        <?php if($_SESSION['visibilidadZonaCarga']) { ?><th>Zona Carga</th><?php } ?>
		<th>Fecha Carga</th>
		<th>Hora</th>
        
        <?php if($gestionCargaRapida) { ?>
        <th>Tipo</th>
        <?php } ?>
        
        <?php if($mostrarMatricula) { ?>
        <th>Matrícula</th>
        <?php } ?>
        
		<!--<th>Estado</th>-->
        
        <?php if(!isset($ocultarCantidadProductosOPListado) || !$ocultarCantidadProductosOPListado) { ?>
        
	    <th>Productos</th>
	    <th>Pendientes</th>
        
        <?php } ?>
        
        <?php if($_SESSION['parametrosSGA']['PickingPacking']=='S') { ?><th>Palets</th><?php } ?>
        
        <?php if($_SESSION['SGAEspecialAcrylicos']=='S') { ?>
        <th>Cajas Exp.</th>
		<?php } ?>
        
        <?php if($gestionMultiOperario) { ?>
        <th>Operarios</th>
        <?php } ?>
        
        <th></th>
	</tr>
	<?php
	
	unset($_SESSION['ordenes']);
	$_SESSION['ordenes']=array();
	
	$agrupaciones=array();
	$agrupacionesRojo=array();
	
	foreach($resultado as $orden) {
	
		//24-05-2022 Multioperarios
		if($gestionMultiOperario) {
			$cadenaOperarios='';
			$valores=explode(',',$orden['Operarios']);
			foreach($valores as $item) {
				$cadenaOperarios.=$item.'<br>';
			}
		}
	
	
		//18-7-2018 Controlamos las agrupaciones, por si otras órdenes ya estuvieras en la misma Agrupación
		$encontrado=false;
		foreach($agrupaciones as $clave=>$valor) {
			if( $clave == $orden['IdAgrupacion'] ) {
				$encontrado=true;
				$agrupaciones[$orden['IdAgrupacion']]=$valor+1;
			}
		}
		if( !$encontrado && $orden['IdAgrupacion']>0 ) $agrupaciones[$orden['IdAgrupacion']]=1;
		
		//15-11-2018 nueva agrupacion color rojo
		$encontrado=false;
		foreach($agrupacionesRojo as $clave=>$valor) {
			if( $clave == $orden['IdAgrupacionRojo'] ) {
				$encontrado=true;
				$agrupacionesRojo[$orden['IdAgrupacionRojo']]=$valor+1;
			}
		}
		if( !$encontrado && isset($orden['IdAgrupacionRojo']) && $orden['IdAgrupacionRojo']>0 ) $agrupacionesRojo[$orden['IdAgrupacionRojo']]=1;
	
		
		$_SESSION['ordenes'][]=$orden;
		//print_r($orden);
			
		$estilo="";
		if($orden['Estado']=='Iniciada') $estilo.=" fondoVerde verde";
		else if($orden['TipoOrden']=='P') {
			if($orden['TipoOrdenDescripcion']=='Oleada por pedido') $estilo.=" fondoMorado morado";
			else $estilo.=" fondoNaranja naranja";
		}
			
		
		//if($orden['RefDestino']) $tempRefDestino=$orden['RefDestino']; //Error PHP VCDL
		//if($orden['DestinoDescripcion']) $tempDestinoDescripcion=$orden['DestinoDescripcion']; //Error PHP VCDL
		
		?>
		<tr
        orden="<?php echo $orden['OrdenPreparacion']; ?>"
        empresa="<?php echo $orden['Empresa']; ?>"
        class="lineaOrden clicable <?php echo $estilo; ?>"
        style="height:75px"
        tipoOrden="<?php if(isset($orden['TipoOrdenDescripcion'])) echo $orden['TipoOrdenDescripcion']; ?>"
        estado="<?php echo $orden['Estado']; ?>"
        cliente="<?php if(isset($orden['NombreCliente'])) echo $orden['NombreCliente']; ?>"
        fechaCarga="<?php if(isset($orden['FechaCarga'])) echo $orden['FechaCarga']; ?>"
        pendientes="<?php if( $orden['CantidadProductosPendientesLeer']>0 ) echo "si"; else echo "no"; ?>"
        tipoCliente="<?php if( isset($orden['PaisCliente']) && $orden['PaisCliente']=='ES' ) echo "Nacional"; else echo "Export"; ?>"
        zonaCarga="<?php if(isset($orden['ZonaCargaCamion'])) echo $orden['ZonaCargaCamion']; ?>"
        refCliente="<?php if(isset($orden['ReferenciaClientePedidoLog'])) echo $orden['ReferenciaClientePedidoLog']; ?>"
        refDestino="<?php if(isset($orden['RefDestino'])) echo $orden['RefDestino']; ?>"
        familia="<?php if(isset($orden['FamiliaPreparacion'])) echo $orden['FamiliaPreparacion']; ?>"
        oleada="<?php if(isset($orden['PickingOleada']) && $orden['PickingOleada']) echo $orden['PickingOleada']; else if(isset($orden['TipoOrdenDescripcion']) && $orden['TipoOrdenDescripcion']=='Oleada por pedido') echo $orden['OrdenPreparacion'];  ?>"
        >
        
			<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $orden['Empresa']; ?></td><?php } ?>
			<?php if($_SESSION['gestion']!='PUB') { ?><td><?php echo $orden['FamiliaPreparacion']; ?></td><?php } ?>
			<td><?php echo $orden['OrdenPreparacion']; ?></td>
		    <td><?php if(isset($orden['TipoOrdenDescripcion'])) echo $orden['TipoOrdenDescripcion']; ?></td>
            
            <?php if($_SESSION['parametrosSGA']['GestionOleadas']=='S') { ?>
            <td><?php if(isset($orden['PickingOleada'])) echo $orden['PickingOleada']; ?></td>
		    <td><?php if(isset($orden['PickingOleadaEstado'])) echo $orden['PickingOleadaEstado']; ?></td>
            <?php } ?>
            
            <?php if(!$ocultarDestinoMuelle) { ?>
		    <td><?php if(isset($orden['DestinoDescripcion'])) echo $orden['DestinoDescripcion']; ?></td>
            <?php } ?>
            
		    <td><?php echo fechaNacional($orden['FechaGeneracion']); ?></td>
            
            <?php if($verRegimen) { ?>
			<td><?php echo $orden['RegimenOrigen']; ?></td>
			<td><?php echo $orden['RegimenDestino']; ?></td>
            <?php } ?>
            
            <?php if(!isset($_SESSION['parametrosSGA']['ListadoOrdenesPreparacionOcultarCliente']) || (isset($_SESSION['parametrosSGA']['ListadoOrdenesPreparacionOcultarCliente']) && $_SESSION['parametrosSGA']['ListadoOrdenesPreparacionOcultarCliente']!='S')) { ?>
			<td><?php if(isset($orden['NombreCliente'])) echo $orden['NombreCliente']; ?></td>
            <?php } ?>
            
            <?php if($_SESSION['parametrosSGA']['MostrarNombreClienteFinal']=='S') { ?>
			<td><?php if(isset($orden['NombreClienteFinal'])) echo $orden['NombreClienteFinal']; ?></td>
            <?php } ?>
            
            <td>
            <?php
			if($_SESSION['parametrosSGA']['GestionOleadas']=='S' && $orden['TipoOrden']=='P' && $orden['TipoOrdenDescripcion']=='Oleada por pedido' && $orden['ReferenciaClientePedidoLog']) {
				?><img src="<?php echo DIR_IMAGENES; ?>/palet-info.png" width="40" height="40" class="botonRefCliente clicable" valores="<?php echo $orden['ReferenciaClientePedidoLog']; ?>"><?php
			}
			else {
				if(isset($orden['ReferenciaClientePedidoLog'])) echo $orden['ReferenciaClientePedidoLog'];
			}
			?>
            </td>
            
            <?php if( (isset($_SESSION['SGAEspecialAcrylicos']) && $_SESSION['SGAEspecialAcrylicos']=='S') || (isset($_SESSION['parametrosSGA']['GestionProvisionistas']) && $_SESSION['parametrosSGA']['GestionProvisionistas']=='S') || (isset($mostrarRefDestino) && $mostrarRefDestino)) { ?>
			<td><?php echo $orden['RefDestino']; ?></td>
            <?php } ?>
            
            <?php if(isset($mostrarAgenciaTransporte) && $mostrarAgenciaTransporte) { ?><td><?php if(isset($orden['AgenciaTransporte'])) echo $orden['AgenciaTransporte']; ?></td><?php } //ATENCION esto está en el config, no en parámetros ?>
            
            <?php if($_SESSION['visibilidadZonaCarga']) { ?><td><?php echo $orden['ZonaCargaCamion']; ?></td><?php } ?>
            
			<td><?php if(isset($orden['FechaCarga']) && $orden['FechaCarga']) echo fechaNacional($orden['FechaCarga']); ?></td>
			<td><?php if(isset($orden['HoraCarga'])) echo $orden['HoraCarga']; ?></td>
            
            <?php if($gestionCargaRapida) { ?>
            <td><?php if(isset($orden['CargaRapida']) && $orden['CargaRapida']=='S') { ?><img src="<?php echo DIR_IMAGENES; ?>/reloj.png" alt="Orden rápida" width="40" height="40" /><?php } ?></td>
            <?php } ?>
            
            <?php if($mostrarMatricula) { ?>
            <td><?php if(isset($orden['Matricula'])) echo htmlspecialchars_decode($orden['Matricula']); ?></td>
            <?php } ?>
            
			<!--<td><?php echo $orden['Estado']; ?></td>-->
            
            <?php if(!isset($ocultarCantidadProductosOPListado) || !$ocultarCantidadProductosOPListado) { ?>
            
			<td><?php echo $orden['CantidadProductos']; ?><?php if($orden['CantidadProductosPendientes']>0) { ?>/<span style="font-weight:400;color:#FF0000"><?php echo $orden['CantidadProductosPendientes']; ?></span><?php } ?></td>
		    <td><span <?php if(isset($orden['AvisoPorFabricacion']) && $orden['AvisoPorFabricacion']) { ?>class="negrita parpadea"<?php } ?>><?php echo $orden['CantidadProductosPendientesLeer']; ?></span></td>
            
            <?php } ?>
            
            <?php if($_SESSION['parametrosSGA']['PickingPacking']=='S') { ?>
            
            <td align="center">
            	<?php if($orden['RequierePackingList']=='S') { ?>
                    <img src="<?php echo DIR_IMAGENES; ?>/palet-vacio.png" style="width:30px;"/><br />
                    <?php if($gestionCargaRapida) echo $orden['CantPaletsOrden']; else echo $orden['CantPaletsPacking']; ?>
                <?php } ?>
            </td>
            
			<?php } else if($_SESSION['SGAEspecialAcrylicos']=='S') { ?>
            
            <td align="right">
				<?php if($_SESSION['parametrosSGA']['GestionPackingList']=='S') { ?>
                    <table class="tablaLimpia">
                        <tr><?php if($orden['RequierePackingList']=='S') { ?><td align="center" valign="middle"><img src="<?php echo DIR_IMAGENES; ?>/palet-vacio.png" style="width:30px;"/></td><?php } ?>
                        <td align="center" valign="middle"><img src="<?php echo DIR_IMAGENES; ?>/caja-vacia.png" style="width:20px;"/></td>
                        </tr>
                        <tr><?php if($orden['RequierePackingList']=='S') { ?><td align="center" valign="middle"><?php echo $orden['CantPaletsPacking']; ?></td><?php } ?>
                        <td align="center" valign="middle"><?php echo $orden['CantidadCajasExpedicion']; ?></td>
                        </tr>
                  </table>
                <?php } else { ?>
                    <?php echo $orden['CantidadCajasExpedicion']; ?>
                <?php } ?>            </td>
            
			<?php } ?>
            
			<?php if($gestionMultiOperario) { ?>
            <td><?php echo $cadenaOperarios; ?></td>
            <?php } ?>
            
            <td>
            	<img nombreCliente="<?php if(isset($orden['NombreCliente'])) echo $orden['NombreCliente']; ?>" idAgrupacionRojo="<?php if(isset($orden['IdAgrupacionRojo'])) echo $orden['IdAgrupacionRojo']; ?>" src="<?php echo DIR_IMAGENES; ?>/advertencia-rojo.png" alt="Posibles duplicados con Set" width="50" height="50" class="selectorAgrupacionRojo clicable agrupacionRojo-<?php if(isset($orden['IdAgrupacionRojo'])) echo $orden['IdAgrupacionRojo']; ?>" style="display:none"/>
                <img nombreCliente="<?php if(isset($orden['NombreCliente'])) echo $orden['NombreCliente']; ?>" idAgrupacion="<?php if(isset($orden['IdAgrupacion'])) echo $orden['IdAgrupacion']; ?>" src="<?php echo DIR_IMAGENES; ?>/advertencia.png" alt="Posibles duplicados" width="50" height="50" class="selectorAgrupacion clicable agrupacion-<?php  if(isset($orden['IdAgrupacion'])) echo $orden['IdAgrupacion']; ?>" style="display:none"/>
				<?php if(isset($orden['MarcaFinOrden']) && $orden['MarcaFinOrden']==1) { ?>
            	<img src="<?php echo DIR_IMAGENES; ?>/stop.png" alt="Orden marcada como Finalizada" width="40" height="40" /><?php } else if(isset($orden['MarcaFinOrden']) && $orden['MarcaFinOrden']==2) { ?><img src="<?php echo DIR_IMAGENES; ?>/stop-ok.gif" alt="Orden marcada como Finalizada" width="40" height="40" />
				<?php } ?>
			</td>
	  </tr>
	
	<?php } ?>
    </table>
    
<?php
	if($traza){
		print_r($agrupaciones);
		echo "<hr>";
		print_r($agrupacionesRojo);
		echo "<hr>";
	}
	?>
    
<div class="barraFiltro">
    	
        <table cellpadding="5" style="margin:0 auto">
        	<tr>
        	  
              <?php if( !isset($filtrosListadoOP) || ( isset($filtrosListadoOP) && (isset($filtrosListadoOP['tipoOrden']) && $filtrosListadoOP['tipoOrden']) ) ) { ?>
              <td>Tipo Orden:<br />
                <select name="filtroTipoOrden" id="filtroTipoOrden" class="campo selectorFiltro" style="width:140px">
                  <option value="">---</option>
                  <?php foreach($comboTipoOrden as $item) { ?>
                  <option value="<?php echo $item; ?>" <?php if( isset($_SESSION['filtrosOP']) && isset($_SESSION['filtrosOP']['filtroTipoOrden']) && $_SESSION['filtrosOP']['filtroTipoOrden']==$item) { ?>selected<?php } ?>><?php echo $item; ?></option>
                  <?php } ?>
                </select>
                </td>
                <?php } ?>
                
                <?php if($_SESSION['parametrosSGA']['GestionOleadas']=='S') { ?>
                <td>Oleada:<br />
                <select name="filtroOleada" id="filtroOleada" class="campo selectorFiltro" style="width:140px">
                  <option value="">---</option>
                  <?php foreach($comboOleadas as $item) { ?>
                  <option value="<?php echo $item; ?>" <?php if(isset($_SESSION['filtrosOP']) && isset($_SESSION['filtrosOP']['filtroOleada']) && $_SESSION['filtrosOP']['filtroOleada']==$item) { ?>selected<?php } ?>><?php echo $item; ?></option>
                  <?php } ?>
                </select>
                </td>
                <?php } ?>
                
                <?php if($_SESSION['gestion']!='PUB') { ?>
					<?php if( !isset($filtrosListadoOP) || ( isset($filtrosListadoOP) && isset($filtrosListadoOP['familia']) && $filtrosListadoOP['familia'] ) ) { ?>
                    <td>
                    Familia:<br />
                    <select name="filtroFamilia" id="filtroFamilia" class="campo selectorFiltro" style="width:140px">
                        <option value="">---</option>
                        <?php foreach($comboFamilias as $item) { ?>
                        <option value="<?php echo $item; ?>" <?php if($_SESSION['filtrosOP']['filtroFamilia']==$item) { ?>selected<?php } ?>><?php echo $item; ?></option>
                        <?php } ?>
                    </select>
                    </td>
                    <?php } ?>
                <?php } ?>
            	
                <?php if( !isset($filtrosListadoOP) || ( isset($filtrosListadoOP) && isset($filtrosListadoOP['estado']) && $filtrosListadoOP['estado'] ) ) { ?>
                <td>
                Estado:<br />
                <select name="filtroEstado" id="filtroEstado" class="campo selectorFiltro" style="width:140px">
                    <option value="">---</option>
                    <?php foreach($comboEstados as $item) { ?>
                    <option value="<?php echo $item; ?>" <?php if(isset($_SESSION['filtrosOP']) && isset($_SESSION['filtrosOP']['filtroEstado']) && $_SESSION['filtrosOP']['filtroEstado']==$item) { ?>selected<?php } ?>><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <?php } ?>
                
                <?php if(!isset($_SESSION['parametrosSGA']['ListadoOrdenesPreparacionOcultarCliente']) || (isset($_SESSION['parametrosSGA']['ListadoOrdenesPreparacionOcultarCliente']) && $_SESSION['parametrosSGA']['ListadoOrdenesPreparacionOcultarCliente']!='S')) { ?>
					<?php if( !isset($filtrosListadoOP) || ( isset($filtrosListadoOP) && isset($filtrosListadoOP['tipoCliente'] ) && $filtrosListadoOP['tipoCliente'] ) ) { ?>
                    <td>
                    Tipo Cliente:<br /> 
                    <select name="filtroTipoCliente" id="filtroTipoCliente" class="campo selectorFiltro" style="width:140px">
                        <option value="">---</option>
                        <option value="Nacional" <?php if(isset($_SESSION['filtrosOP']) && isset($_SESSION['filtrosOP']['filtroTipoCliente']) && $_SESSION['filtrosOP']['filtroTipoCliente']=='Nacional') { ?>selected<?php } ?>>Nacional</option>
                        <option value="Export" <?php if(isset($_SESSION['filtrosOP']) && isset($_SESSION['filtrosOP']['filtroTipoCliente']) && $_SESSION['filtrosOP']['filtroTipoCliente']=='Export') { ?>selected<?php } ?>>Export</option>
                    </select>
                    </td>
                    <?php } ?>
                    <?php if( !isset($filtrosListadoOP) || ( isset($filtrosListadoOP) && isset($filtrosListadoOP['cliente']) ) ) { ?>
                    <td>
                    Cliente:<br /> 
                    <select name="filtroCliente" id="filtroCliente" class="campo selectorFiltro" style="width:140px">
                        <option value="">---</option>
                        <?php foreach($comboClientes as $item) { ?>
                        <option value="<?php echo $item; ?>" <?php if(isset($_SESSION['filtrosOP']) && isset($_SESSION['filtrosOP']['filtroCliente']) && $_SESSION['filtrosOP']['filtroCliente']==$item) { ?>selected<?php } ?>><?php echo $item; ?></option>
                        <?php } ?>
                    </select>
                    </td>
                    <?php } ?>
                <?php } ?>
                
                <?php if( !isset($filtrosListadoOP) || ( isset($filtrosListadoOP) && isset($filtrosListadoOP['refCliente']) ) ) { ?>
                <td>
                Ref. Cliente:<br /> 
                <select name="filtroRefCliente" id="filtroRefCliente" class="campo selectorFiltro" style="width:140px">
                    <option value="">---</option>
                    <?php foreach($comboRefCliente as $item) { ?>
                    <option value="<?php echo $item; ?>" <?php if(isset($_SESSION['filtrosOP']) && isset($_SESSION['filtrosOP']['filtroRefCliente']) && $_SESSION['filtrosOP']['filtroRefCliente']==$item) { ?>selected<?php } ?>><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <?php } ?>
                
                <?php if( (isset($_SESSION['SGAEspecialAcrylicos']) && $_SESSION['SGAEspecialAcrylicos']=='S') || (isset($_SESSION['parametrosSGA']['GestionProvisionistas']) && $_SESSION['parametrosSGA']['GestionProvisionistas']=='S') ) { ?>
					<?php if( !$filtrosListadoOP || ( $filtrosListadoOP && $filtrosListadoOP['refDestino'] ) ) { ?>
                    <td>
                    Ref. Destino:<br /> 
                    <select name="filtroRefDestino" id="filtroRefDestino" class="campo selectorFiltro" style="width:140px">
                        <option value="">---</option>
                        <?php foreach($comboRefDestino as $item) { ?>
                        <option value="<?php echo $item; ?>" <?php if(isset($_SESSION['filtrosOP']) && isset($_SESSION['filtrosOP']['filtroRefDestino']) && $_SESSION['filtrosOP']['filtroRefDestino']==$item) { ?>selected<?php } ?>><?php echo $item; ?></option>
                        <?php } ?>
                    </select>
                    </td>
                    <?php } ?>
                <?php } ?>
                
                <?php if($_SESSION['visibilidadZonaCarga']) { ?>
                	<?php if( !$filtrosListadoOP || ( $filtrosListadoOP && $filtrosListadoOP['zonaCarga'] ) ) { ?>
                    <td>
                    ZonaCarga:<br />
                    <select name="filtroZonasCarga" id="filtroZonasCarga" class="campo selectorFiltro">
                        <option value="">---</option>
                        <?php foreach($comboZonasCarga as $item) { ?>
                        <option value="<?php echo $item; ?>" <?php if(isset($_SESSION['filtrosOP']) && isset($_SESSION['filtrosOP']['filtroZonasCarga']) && $_SESSION['filtrosOP']['filtroZonasCarga']==$item) { ?>selected<?php } ?>><?php echo $item; ?></option>
                        <?php } ?>
                    </select>
                    </td>
                     <?php } ?>
                <?php } ?>
                
                
                <?php if( !isset($filtrosListadoOP) || ( isset($filtrosListadoOP) && isset($filtrosListadoOP['fechaCarga']) ) ) { ?>
                <td>
                Fecha Carga:<br />
                <select name="filtroFechaCarga" id="filtroFechaCarga" class="campo selectorFiltro">
                    <option value="">---</option>
                    <?php foreach($comboFechasCarga as $item) { ?>
                    <option value="<?php echo $item; ?>" <?php if(isset($_SESSION['filtrosOP']) && isset($_SESSION['filtrosOP']['filtroFechaCarga']) && $_SESSION['filtrosOP']['filtroFechaCarga']==$item) { ?>selected<?php } ?>><?php echo fechaNacional($item); ?></option>
                    <?php } ?>
                </select>
                </td>
                <?php } ?>
                
                <?php if( !isset($filtrosListadoOP) || ( isset($filtrosListadoOP) && isset($filtrosListadoOP['productosPendientes']) ) ) { ?>
                <td>
                Prod. pendientes:<br />
                <select name="filtroPendientes" id="filtroPendientes" class="campo selectorFiltro" style="width:140px">
                    <option value="">---</option>
                    <option value="si" <?php if(isset($_SESSION['filtrosOP']) && isset($_SESSION['filtrosOP']['filtroPendientes']) && $_SESSION['filtrosOP']['filtroPendientes']=='si') { ?>selected<?php } ?>>Con productos pendientes.</option>
                    <option value="no" <?php if(isset($_SESSION['filtrosOP']) && isset($_SESSION['filtrosOP']['filtroPendientes']) && $_SESSION['filtrosOP']['filtroPendientes']=='no') { ?>selected<?php } ?>>Sin productos pendientes.</option>
                </select>
                </td>
                <?php } ?>
                
                <td>
                <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
                <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
                <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>                </td>
                
            </tr>
        </table>
        
</div>
    
	<script>
	
		function actualizaFiltrosVariablesSesion() {
			
			//17-01-2022 Guardamos los filtros en session para conservarlos
			$.post( '<?php echo $rutaHtml; ?>/contenidos/ordenes-preparacion-listado-filtros.php?<?php foreach(unserialize(FILTROS_OP) as $filtro) { echo $filtro."='+$('#".$filtro."').val()+'&"; } ?>' );
			
		}
	
		function repintarTabla() {
	
			$(".lineaOrden").children('td').css('background-color','#ffffff');
			$(".lineaOrden").children('td').css('border-bottom','');
			$(".lineaOrden").children('td').css('border-radius','');
			$(".lineaOrden").children('td').css('-mozborder-radius','');
			$(".lineaOrden").children('td').css('-webkit-border-radius','');
		
			var par=true;
			$(".lineaOrden").each(function(){
				if( $(this).is(":visible") ) {
					if(par) $(this).children('td').css('background-color','#ffffff');
					else $(this).children('td').css('background-color','#eeeeee');
					par = !par;
					ultimaFila=$(this);
				}
			});
			
			ultimaFila.children('td').css('border-bottom','1px solid #999999');
			ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
			ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
			
			$('#numOrden').focus();
		
		}
		
		function aplicarFiltro(id) {
		
			console.log('Proceso de aplicar filtro');
			
				console.log('filtroEstado: '+$('#filtroEstado').val());
				console.log('filtroTipoCliente: '+$('#filtroTipoCliente').val());
				console.log('filtroCliente: '+$('#filtroCliente').val());
				console.log('filtroFechaCarga: '+$('#filtroFechaCarga').val());
				console.log('filtroZonasCarga: '+$('#filtroZonasCarga').val());
				console.log('filtroPendientes: '+$('#filtroPendientes').val());
				console.log('filtroRefCliente: '+$('#filtroRefCliente').val());
				console.log('filtroRefDestino: '+$('#filtroRefDestino').val());
				console.log('filtroFamilia: '+$('#filtroFamilia').val());
		
			if( $('#filtroEstado').val()=='' && $('#filtroTipoCliente').val()=='' && $('#filtroCliente').val()=='' && $('#filtroFechaCarga').val()=='' && $('#filtroZonasCarga').val()=='' && $('#filtroPendientes').val()=='' && $('#filtroRefCliente').val()=='' && $('#filtroRefDestino').val()=='' && $('#filtroFamilia').val()=='' ) {
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
			}
			else  {
				$('#filtroApagado').hide();
				$('#quitarFiltro').show();
				$('#aplicarFiltro').hide();
			}
			
			
			
			$('.lineaOrden').each(function() {
			
				var coincidenciaTipoOrden=false;
				var coincidenciaOleada=false;
				var coincidenciaEstado=false;
				var coincidenciaTipoCliente=false;
				var coincidenciaCliente=false;
				var coincidenciaFechaCarga=false;
				var coincidenciaPendientes=false;
				var coincidenciaZonasCarga=false;
				var coincidenciaRefCliente=false;
				var coincidenciaRefDestino=false;
				var coincidenciaFamilia=false;
			
				if( $('#filtroTipoOrden').val()!='' && $(this).attr('tipoOrden')==$('#filtroTipoOrden').val() ) coincidenciaTipoOrden=true;
				else if( $('#filtroTipoOrden').val()=='' || !$('#filtroTipoOrden').length ) coincidenciaTipoOrden=true;
				
				if( $('#filtroOleada').val()!='' && $(this).attr('oleada')==$('#filtroOleada').val() ) coincidenciaOleada=true;
				else if( $('#filtroOleada').val()=='' || !$('#filtroOleada').length ) coincidenciaOleada=true;
			
				if( $('#filtroEstado').val()!='' && $(this).attr('estado')==$('#filtroEstado').val() ) coincidenciaEstado=true;
				else if( $('#filtroEstado').val()=='' || !$('#filtroEstado').length ) coincidenciaEstado=true;
			
				if( $('#filtroCliente').val()!='' && $(this).attr('cliente')==$('#filtroCliente').val() ) coincidenciaCliente=true;
				else if( $('#filtroCliente').val()=='' || !$('#filtroCliente').length ) coincidenciaCliente=true;
				
				if( $('#filtroTipoCliente').val()!='' && $(this).attr('tipoCliente')==$('#filtroTipoCliente').val() ) coincidenciaTipoCliente=true;
				else if( $('#filtroTipoCliente').val()=='' || !$('#filtroTipoCliente').length ) coincidenciaTipoCliente=true;
				
				if( $('#filtroFechaCarga').val()!='' && $(this).attr('fechaCarga')==$('#filtroFechaCarga').val() ) coincidenciaFechaCarga=true;
				else if( $('#filtroFechaCarga').val()=='' || !$('#filtroFechaCarga').length ) coincidenciaFechaCarga=true;
				
				if( $('#filtroPendientes').val()!='' && $(this).attr('pendientes')==$('#filtroPendientes').val() ) coincidenciaPendientes=true;
				else if( $('#filtroPendientes').val()=='' || !$('#filtroPendientes').length ) coincidenciaPendientes=true;
				
				if( $('#filtroZonasCarga').val()!='' && $(this).attr('zonaCarga')==$('#filtroZonasCarga').val() ) coincidenciaZonasCarga=true;
				else if( $('#filtroZonasCarga').val()=='' || !$('#filtroZonasCarga').length ) coincidenciaZonasCarga=true;
				
				if( $('#filtroRefCliente').val()!='' && $(this).attr('refCliente')==$('#filtroRefCliente').val() ) coincidenciaRefCliente=true;
				else if( $('#filtroRefCliente').val()=='' || !$('#filtroRefCliente').length ) coincidenciaRefCliente=true;
				
				if( $('#filtroRefDestino').val()!='' && $(this).attr('refDestino')==$('#filtroRefDestino').val() ) coincidenciaRefDestino=true;
				else if( $('#filtroRefDestino').val()=='' || !$('#filtroRefDestino').length ) coincidenciaRefDestino=true;
				
				if( $('#filtroFamilia').val()!='' && $(this).attr('familia')==$('#filtroFamilia').val() ) coincidenciaFamilia=true;
				else if( $('#filtroFamilia').val()=='' || !$('#filtroFamilia').length ) coincidenciaFamilia=true;
				
				/*
				console.log('coincidenciaTipoOrden: '+coincidenciaTipoOrden);
				console.log('coincidenciaEstado: '+coincidenciaEstado);
				console.log('coincidenciaTipoCliente: '+coincidenciaTipoCliente);
				console.log('coincidenciaCliente: '+coincidenciaCliente);
				console.log('coincidenciaFechaCarga: '+coincidenciaFechaCarga);
				console.log('coincidenciaPendientes: '+coincidenciaPendientes);
				console.log('coincidenciaZonasCarga: '+coincidenciaZonasCarga);
				console.log('coincidenciaRefCliente: '+coincidenciaRefCliente);
				console.log('coincidenciaRefDestino: '+coincidenciaRefDestino);
				console.log('coincidenciaFamilia: '+coincidenciaFamilia);
				*/
				
				
				if( coincidenciaTipoOrden && coincidenciaOleada && coincidenciaEstado && coincidenciaTipoCliente && coincidenciaCliente && coincidenciaFechaCarga && coincidenciaPendientes && coincidenciaZonasCarga && coincidenciaRefCliente && coincidenciaRefDestino && coincidenciaFamilia ) $(this).show();
				else $(this).hide();
				
			});
			
	
			//Revertimos el check actual si viniera de la linea acutomatico porque confunde al filtrar
			if(id) {
				if( $('#'+id).is(":checked") ) $('#'+id).prop("checked",false);
				else $('#'+id).prop("checked",true);
			}
	
			repintarTabla();
			
			actualizaFiltrosVariablesSesion();
		
		}
	
		$(document).ready(function() {
		
		
			
			
			
			//Recorremos las agrupaciones para mostrar o no los botones de advertencia
			<?php
			foreach($agrupaciones as $clave=>$valor) {
				if($valor>1) {
					?>$('.agrupacion-<?php echo $clave; ?>').show(); <?php
				}
			}
			foreach($agrupacionesRojo as $clave=>$valor) {
				if($valor>1) {
					?>$('.agrupacionRojo-<?php echo $clave; ?>').show(); <?php
				}
			}
			?>
			
			/* ESTE CONTROL DE EVENO ESTÁ DUPLICADO RESPECTO AL DE ABAJO???
			
			$('.lineaOrden .selectorAgrupacion').on("click",function(){
				$.post( "<?php echo $rutaHtml; ?>/contenidos/ordenes-preparacion-listado-duplicados.php?idAgrupacion=" , { 'idAgrupacion' : $(this).attr('idAgrupacion') , 'nombreCliente' : $(this).attr('nombreCliente') } )
					.done(function(data) {
						$('#popupDuplicadosContenido').html(data);
						$('#popupDuplicados').show();
						$('#popupDuplicadosContenido').show();
						
						if($(document).scrollTop() > 0 ) $('#popupDuplicadosContenido').css({ top: $(document).scrollTop() });
				});
				return false;
			});
			*/
			
			$('.lineaOrden .selectorAgrupacion').on("click",function(){
				$.post( "<?php echo $rutaHtml; ?>/contenidos/ordenes-preparacion-listado-duplicados.php" , { 'idAgrupacion' : $(this).attr('idAgrupacion') , 'nombreCliente' : $(this).attr('nombreCliente') } )
					.done(function(data) {
						$('#popupDuplicadosContenido').html(data);
						$('#popupDuplicados').show();
						$('#popupDuplicadosContenido').show();
						
						if($(document).scrollTop() > 0 ) $('#popupDuplicadosContenido').css({ top: $(document).scrollTop() });
				});
				return false;
			});
			
			$('.lineaOrden .selectorAgrupacionRojo').on("click",function(){
				$.post( "<?php echo $rutaHtml; ?>/contenidos/ordenes-preparacion-listado-duplicados.php" , { 'idAgrupacionRojo' : $(this).attr('idAgrupacionRojo') , 'nombreCliente' : $(this).attr('nombreCliente') } )
					.done(function(data) {
						$('#popupDuplicadosContenido').html(data);
						$('#popupDuplicados').show();
						$('#popupDuplicadosContenido').show();
						
						if($(document).scrollTop() > 0 ) $('#popupDuplicadosContenido').css({ top: $(document).scrollTop() });
				});
				return false;
			});
			
			$(document).on('click','.lineaOrden .botonRefCliente',function(e){
			
				e.stopPropagation(); //Porque despues del click del icono, el propagador de eventos hace click en la linea "padre" completa de .lineaOrden
			
				let orden=$(this).parent().parent().attr('orden')
				let valores=$(this).attr('valores');
				let refs=valores.split('|');
				
				$('#refClienteNumPreparacion').html(orden);
				
				refs.forEach(ref=>{
				
					let valores=ref.split('¬');
				
					let fila='<tr><td>'+valores[1]+'</td><td>'+valores[0]+'</td></tr>'
					$('#tablaRefCliente tbody').append(fila);
				
				});
				
				$('#popupRefCliente').show();
				$('#popupRefClienteContenido').show();
				
				$('#popupRefClienteContenido').css('top',100);
					

				
			});
			
			var posicion = $('html').scrollTop();
			console.log('posicion scroll inicial: '+posicion);
			
			$(document).on('click','#popupRefClienteCerrar',function(){
				$('#refClienteNumPreparacion').html('');
				$('#tablaRefCliente tbody').html('');
				$('#popupRefCliente').hide();
				$('#popupRefClienteContenido').hide();
			});
			
			$(document).on('click','.lineaOrden',function(e){
				
				$('#popupCargando').show();
				window.location='<?php echo $rutaHtml; ?>/orden-preparacion-<?php echo $_SESSION['tipoGestion']; ?>.php?orden='+$(this).attr('orden')+'&empresa='+$(this).attr('empresa');
					
			});
			
			$('.selectorFiltro').on("change",function() {
				aplicarFiltro();
			});
			
			$('#quitarFiltro').on("click",function() {
		
				$('#filtroTipoOrden option:selected').removeProp('selected');
				$('#filtroOleada option:selected').removeProp('selected');
				$('#filtroEstado option:selected').removeProp('selected');
				$('#filtroTipoCliente option:selected').removeProp('selected');
				$('#filtroCliente option:selected').removeProp('selected');
				$('#filtroFechaCarga option:selected').removeProp('selected');
				$('#filtroPendientes option:selected').removeProp('selected');
				$('#filtroZonasCarga option:selected').removeProp('selected');
				$('#filtroRefCliente option:selected').removeProp('selected');
				
				$('#filtroRefDestino option:selected').removeProp('selected');
				
				$('#filtroTipoOrden option[value=""]').prop('selected',true);
				$('#filtroOleada option[value=""]').prop('selected',true);
				$('#filtroEstado option[value=""]').prop('selected',true);
				$('#filtroTipoCliente option[value=""]').prop('selected',true);
				$('#filtroCliente option[value=""]').prop('selected',true);
				$('#filtroFechaCarga option[value=""]').prop('selected',true);
				$('#filtroPendientes option[value=""]').prop('selected',true);
				$('#filtroZonasCarga option[value=""]').prop('selected',true);
				$('#filtroRefCliente option[value=""]').prop('selected',true);
				
				$('#filtroRefDestino option[value=""]').prop('selected',true);
				
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
	
				$(".lineaOrden").show();
				
				repintarTabla();
				
				actualizaFiltrosVariablesSesion();
				
			});
			
			$('#filtroTipoCliente').on("change",function(){
			
				$('#filtroCliente').empty();
				$("#filtroCliente").append('<option value="">---</option>');
				
				if( $('#filtroTipoCliente').val()=='' ) comboClientes.forEach( function(valor) { $("#filtroCliente").append('<option value="'+valor+'">'+valor+'</option>'); });
				else if( $('#filtroTipoCliente').val()=='Export' ) comboClientesExport.forEach( function(valor) { $("#filtroCliente").append('<option value="'+valor+'">'+valor+'</option>'); });
				else if( $('#filtroTipoCliente').val()=='Nacional' ) comboClientesNacional.forEach( function(valor) { $("#filtroCliente").append('<option value="'+valor+'">'+valor+'</option>'); });
				
				aplicarFiltro();
				
			});
			
			$(document).on('change','#numOrden',function(){
		
				var numOrden=$('#numOrden').val();
				var codigoEmpresa;
				var encontrada=false;
		
				if(numOrden!='') {
		
					$('#popupCargando').show();
					
					$('.lineaOrden').each(function() {
						if( $(this).attr('orden')==numOrden ) {
							encontrada=true
							codigoEmpresa=$(this).attr('empresa');
						}
					});
					
					
					if(encontrada) {
						window.location='<?php echo $rutaHtml; ?>/orden-preparacion-<?php echo $_SESSION['tipoGestion']; ?>.php?orden='+numOrden+'&empresa='+codigoEmpresa;	
					}
					else {
						$('#popupCargando').hide();
						alert('Error: Orden no encontrada.',null,'error')
						.done(function(){
							$("#numOrden").val('');
							$("#numOrden").focus();
						});
					}
				}
				
			});
					
			$(document).on('click','#tecladoNumOrden',function(){
				$('#teclado').show();
				$('#valor').val( $('#numOrden').val() );
				$('#valorOculto').val( $('#numOrden').val() );
				$('#enter').attr('campoValor','numOrden');
				$('#enter').attr('forzarEnter','si');	
			});
					
			$(document).on('click','#borrarNumOrden',function(){
				$("#numOrden").val('');
				$("#numOrden").focus();		
			});
			
			$('#numOrden').focus();
			
			aplicarFiltro();
			
		});
	
	</script>
    
	<?php
}
else {
	?><p>No hay ninguna Orden de Preparación pendiente.</p><?php
}
?>